package com.bonus.sgzb.base.domain;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 供应商管理ma_supplier_info对象 ma_supplier_info
 * 
 * @author bonus
 * @date 2023-12-10
 */
@ApiModel(value="com.bonus.sgzb.base.domain.MaSupplierInfo")
public class MaSupplierInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库ID */
    @ApiModelProperty(value = "主键id")
    private Long supplierId;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    private String supplier;

    /** 地址 */
    @ApiModelProperty(value = "地址")
    private String address;

    /** 法人代表 */
    @ApiModelProperty(value = "法人代表")
    private String legalPerson;

    /** 主要联系人 */
    @ApiModelProperty(value = "主要联系人")
    private String primaryContact;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式")
    private String phone;

    /** 经营范围 */
    @ApiModelProperty(value = "经营范围")
    private String businessScope;

    /** 营业执照 */
    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty(value = "删除标志（0代表存在 2代表删除）")
    private String delFlag;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    private String companyId;

    /** 状态(0开 1关) */
    @ApiModelProperty(value = "状态(0开 1关)")
    private Integer status;

    public void setSupplierId(Long supplierId) 
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId() 
    {
        return supplierId;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setPrimaryContact(String primaryContact) 
    {
        this.primaryContact = primaryContact;
    }

    public String getPrimaryContact() 
    {
        return primaryContact;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setBusinessScope(String businessScope) 
    {
        this.businessScope = businessScope;
    }

    public String getBusinessScope() 
    {
        return businessScope;
    }
    public void setBusinessLicense(String businessLicense) 
    {
        this.businessLicense = businessLicense;
    }

    public String getBusinessLicense() 
    {
        return businessLicense;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setCompanyId(String companyId) 
    {
        this.companyId = companyId;
    }

    public String getCompanyId() 
    {
        return companyId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("supplierId", getSupplierId())
            .append("supplier", getSupplier())
            .append("address", getAddress())
            .append("legalPerson", getLegalPerson())
            .append("primaryContact", getPrimaryContact())
            .append("phone", getPhone())
            .append("businessScope", getBusinessScope())
            .append("businessLicense", getBusinessLicense())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .append("status", getStatus())
            .toString();
    }
}
